Endpoint
GET /releasesAuthentication
Required: Authorization header with valid token
Query Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
| updatedAfter | date-time | No | Filter updated on or after this date | 2024-01-01T00:00:00Z |
| bookingId | string | No | Filter by booking Id | e433b04a-2b4d-419a-accc-f1ada3f55b15 |
| startDate | date-time | No | Filter entities where startDate is on or after this date | 2024-01-01T00:00:00Z |
| endDate | date-time | No | Filter entities where endDate is on or before this date | 2024-01-31T23:59:59Z |
| page | number | No | Page number (default: 1) | 1 |
| limit | number | No | Items per page (default: 20) | 20 |
| sortBy | string | No | Sort field: startDate, endDate, createdAt, updatedAt, reason | createdAt |
| sortDirection | string | No | Sort direction: ASC or DESC (default: ASC) | DESC |
| expand | string | No | Expand entity with passed comma separated relation entities | booking |
Response
Success (200)
{
"content": [
"ReleaseEntity"
],
"total": "number"
}Response Field Descriptions:
content- Array of release objects (ReleaseEntity Schema)total- Total number of entities matching the query criteria
Error
See Error Schema documentation
Example Usage
Bash
curl -X GET "https://integration-api.ram.syniotec.com/master-data/v1/booking-management/releases" \
-H "Authorization: Bearer YOUR_TOKEN"